# 決済 登録

`POST /v1/payments`

- operationId: `createPayment`
- tags: 決済

決済情報をM's PayBridgeに登録します。決済登録に成功した時点ではまだ顧客に対して請求はされていません。


## コードサンプル

### cURL

```bash
curl \
    -X POST \
    -H "Authorization:Bearer <Secret API Key>" \
    -H "Content-Type: application/json" \
    -d '{
    "pay_type": "Card",
    "amount": "1000",
    "job_code": "CAPTURE",
    "tds_type": "2"
}' \
'https://api.test.fincode.jp/v1/payments'
```

### Node.js

```javascript
import { createFincode } from "@fincode/node";

const API_KEY = "<Secret API Key>";

(async () => {
    const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });

    try {
        // リクエストの送信
        const payment = await fincode.payments.create({
            pay_type: "Card",
            job_code: "CAPTURE",
            amount: "1000",
            tds_type: "2",
            td_tenant_name: "My Store",
        });
    } catch (e) {
        // エラーの処理
    }
})();
```

### Go

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"log"
	"net/http"
)

func main() {

	apiKey := "<Secret API Key>"

	body := CreatingPaymentRequest{
		PayType: "Card",
		JobCode: "CAPTURE",
		Amount:  stringPointer("1000"),
		TdsType: stringPointer("2"),
	}

	marshalledBody, _ := json.Marshal(body)

	// リクエストの作成
	req, _ := http.NewRequest(
		"POST",
		"https://api.test.fincode.jp/v1/payments",
		bytes.NewBuffer(marshalledBody),
	)
	req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))
	req.Header.Set("Content-Type", "application/json")

	// リクエストの送信
	client := &http.Client{}
	res, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer res.Body.Close()

}

type CreatingPaymentRequest struct {
	PayType      string  `json:"pay_type"`
	ID           *string `json:"id,omitempty"`
	JobCode      string  `json:"job_code"`
	Amount       *string `json:"amount,omitempty"`
	Tax          *string `json:"tax,omitempty"`
	ClientField1 *string `json:"client_field_1,omitempty"`
	ClientField2 *string `json:"client_field_2,omitempty"`
	ClientField3 *string `json:"client_field_3,omitempty"`
	TdsType      *string `json:"tds_type,omitempty"`
	TdTenantName *string `json:"td_tenant_name,omitempty"`
	Tds2Type     *string `json:"tds2_type,omitempty"`
}

func stringPointer(s string) *string {
	return &s
}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';

$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/payments";
$headers = [
    "Authorization: Bearer " . $apiKey,
    "Content-Type: application/json"
];

$data = json_encode([
    "pay_type" => "Card",
    "job_code" => "CAPTURE",
    "amount" => "1000",

    "tds_type" => "2",
    "td_tenant_name" => "My Store",
]);

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_POST, true);
curl_setopt($session, CURLOPT_POSTFIELDS, $data);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

$response = curl_exec($session);

if ($response === false) {
    # エラー処理
    echo "cURL Error: " . curl_error($session);
} else {
    # APIからのデータを処理
    var_dump($response);
}

curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'

url = f'https://api.test.fincode.jp/v1/payments'

# ヘッダーを設定
headers = {
    'Authorization': f'Bearer {api_key}',
    'Content-Type': 'application/json'
}

data = {
    "pay_type": "Card",
    "amount": "1000",
    "job_code": "CAPTURE",
    "tds_type": "2"
}

# HTTP POSTリクエストの送信
try:
    response = requests.post(url, headers=headers, json=data)

    # レスポンスの処理
    if response.status_code == 200:
        # 成功した場合の処理
        print(f"Success: {response.json()}")
    else:
        # エラーの処理
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    # 通信エラーの処理
    print(f"Request error: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'
require 'json'


API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
    endpoint = "/v1/payments"
    uri = URI.parse(BASE_URL + endpoint)

    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true

    data = {
        pay_type: "Card",
        amount: "1000",
        job_code: "CAPTURE",
        tds_type: "2",
    }

    # リクエストの作成
    request = Net::HTTP::Post.new(uri.request_uri)
    request['Authorization'] = "Bearer #{API_KEY}"
    request['Content-Type'] = 'application/json'

    request.body = data.to_json

    # リクエストの送信
    response = http.request(request)

    case response
    when Net::HTTPSuccess
        puts 'SUCCESS'
    else
        puts 'ERROR'
    end

    # レスポンスの表示
    puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `Tenant-Shop-Id` | header |  | schema | <span class="smallText color--red-400">※ プラットフォームのメインショップのみ指定可</span> |

## リクエストボディ

Content-Type: `application/json`

#### カード決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `job_code` | CardPaymentJobCode | ✓ |  |
| `amount` | amount |  | 利用金額 |
| `tax` | tax |  | 税送料 |
| `tds_type` | tds_type |  |  |
| `tds2_type` | tds2_type |  |  |
| `td_tenant_name` | td_tenant_name |  |  |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |

#### Apple Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `job_code` | ApplePayPaymentJobCode | ✓ |  |
| `amount` | amount | ✓ | 利用金額 |
| `tax` | tax |  | 税送料 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `item_code` | string |  | 商品コード |

#### Google Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `job_code` | GooglePayPaymentJobCode | ✓ |  |
| `amount` | amount | ✓ | 利用金額 |
| `tax` | tax |  | 税送料 |
| `tds_type` | tds_type |  |  |
| `tds2_type` | tds2_type |  |  |
| `td_tenant_name` | td_tenant_name |  |  |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |

#### コンビニ決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `amount` | amount | ✓ | 利用金額 |
| `tax` | tax |  | 税送料 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |

#### PayPay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `job_code` | PayPayPaymentJobCode | ✓ |  |
| `amount` | amount | ✓ | 利用金額 |
| `tax` | tax |  | 税送料 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `order_description` | order_description |  |  |

#### 口座振替

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `amount` | amount | ✓ | 利用金額 |
| `tax` | tax |  | 税送料 |
| `remarks` | remarks |  |  |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |

#### 銀行振込（バーチャル口座）

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | Payment_properties-id |  |  |
| `pay_type` | PayType | ✓ | 決済種別 |
| `billing_amount` | billing_amount | ✓ |  |
| `billing_tax` | billing_tax |  |  |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `use_exact_deposit_amount` | use_exact_deposit_amount |  | 入金可能額設定利用フラグ |

## レスポンス

### 200 リクエストに成功

##### カード決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(CHECK | AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `card_id` | properties-id |  | カードID |
| `brand` | CardBrand |  |  |
| `card_no` | card_no |  |  |
| `expire` | expire |  |  |
| `holder_name` | holder_name |  |  |
| `card_no_hash` | card_no_hash |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimesResponse |  |  |
| `bulk_payment_id` | PaymentBulk_properties-id |  | 一括決済ID |
| `subscription_id` | Subscription_properties-id |  | サブスクリプションID |
| `tds_type` | tds_type |  |  |
| `tds2_type` | tds2_type |  |  |
| `tds2_ret_url` | tds2_ret_url |  |  |
| `return_url` | x-req-properties-return_url |  |  |
| `return_url_on_failure` | x-req-properties-return_url_on_failure |  |  |
| `tds2_status` | ThreeDSecure2Status |  |  |
| `merchant_name` | td_tenant_name |  |  |
| `forward` | string |  | 仕向け先 |
| `issuer` | string |  | イシュア |
| `transaction_id` | string |  | トランザクションID |
| `approve` | string |  | 承認番号 |
| `auth_max_date` | string |  | 仮売上有効期限 |
| `item_code` | string |  | 商品コード |
| `send_url` | string |  | ※ 閉塞機能 |
| `acs` | string |  | ※ 閉塞機能 |

##### Apple Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `brand` | CardBrand |  |  |
| `card_no` | card_no |  | マスク済みカード番号。 |
| `expire` | expire |  |  |
| `holder_name` | holder_name |  |  |
| `card_no_hash` | card_no_hash |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimesResponse |  |  |
| `forward` | string |  | 仕向け先 |
| `issuer` | string |  | イシュア |
| `transaction_id` | string |  | トランザクションID |
| `approve` | string |  | 承認番号 |
| `auth_max_date` | string |  | 仮売上有効期限 |
| `item_code` | string |  | 商品コード |
| `send_url` | string |  | ※ 閉塞機能 |

##### Google Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `brand` | GooglePayCardBrand |  |  |
| `card_no` | card_no |  | マスク済みカード番号。 |
| `expire` | expire |  |  |
| `card_no_hash` | card_no_hash |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimesResponse |  |  |
| `tds_type` | tds_type |  |  |
| `tds2_type` | tds2_type |  |  |
| `tds2_ret_url` | tds2_ret_url |  |  |
| `tds2_status` | ThreeDSecure2Status |  |  |
| `merchant_name` | td_tenant_name |  |  |
| `forward` | string |  | 仕向け先 |
| `issuer` | string |  | イシュア |
| `transaction_id` | string |  | トランザクションID |
| `approve` | string |  | 承認番号 |
| `auth_max_date` | string |  | 仮売上有効期限 |
| `acs` | string |  |  |
| `item_code` | string |  | 商品コード |
| `return_url` | x-req-properties-return_url |  |  |
| `return_url_on_failure` | x-req-properties-return_url_on_failure |  |  |

##### コンビニ決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `payment_term_day` | integer(int64) |  | 支払い期限日数 |
| `payment_term` | string |  | 支払い期限日時 |
| `payment_date` | string |  | 支払日時 |
| `barcode` | string |  | バーコード画像 Base64エンコード済み画像データ |
| `barcode_format` | enum(jpg | png | bmp) |  | バーコード画像 フォーマット |
| `barcode_width` | string |  | バーコード画像 横幅（px） |
| `barcode_height` | string |  | バーコード画像 縦幅（px） |
| `overpayment_flag` | enum(0 | 1) |  | 多重支払フラグ |
| `cancel_overpayment_flag` | enum(0 | 1) |  | キャンセル後支払フラグ |
| `konbini_code` | KonbiniCode |  |  |
| `konbini_store_code` |  |  | コンビニ店舗コード |
| `device_name` | device_name |  |  |
| `os_version` |  |  | OSバージョン |
| `win_width` | win_width |  |  |
| `win_height` | win_height |  |  |
| `xdpi` |  |  | 画面横幅のDPI |
| `ydpi` |  |  | 画面縦幅のDPI |
| `result` | KonbiniPaymentProcessResult |  |  |
| `order_serial` | string |  | 注文管理ID |
| `invoice_id` | string |  | 請求ID |

##### PayPay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `code_url` | string |  | PayPay支払いURL |
| `code_expiry_date` | string |  | 支払期限 |
| `redirect_url` | string |  | リダイレクトURL |
| `redirect_type` | enum(1 | 2) |  | リダイレクト先種別 |
| `auth_max_date` | string |  | 仮売上期限 |
| `order_description` | string |  | 注文内容の説明 |
| `capture_description` | string |  | 売上確定の説明 |
| `update_description` | string |  | 金額変更の説明 |
| `cancel_description` | string |  | キャンセルの説明 |
| `store_id` | string |  | 店舗ID |
| `code_id` | string |  | PayPayの支払いコードID |
| `payment_id` | string |  | PayPay 決済ID |
| `paypay_result_code` | string |  | PayPay処理結果コード |
| `merchant_payment_id` | string |  | PayPay トランザクションID |
| `merchant_capture_id` | string |  | PayPay 売上確定ID |
| `merchant_update_id` | string |  | PayPay 金額変更ID |
| `merchant_revert_id` | string |  | PayPay キャンセルID |
| `merchant_refund_id` | string |  | PayPay 返金ID |
| `payment_date` | string |  | 支払日時 |

##### 口座振替

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `result_code` | DirectDebitResultCode |  |  |
| `target_date` | string |  | 振替指定日 |
| `withdrawal_date` | string |  | 引き落とし日 |
| `request_accept_end_date` | string |  | 請求依頼受付期間 終了日 |
| `transfer_return_date` | string |  | 請求結果反映 予定日 |
| `payment_method_id` | string |  | 決済手段ID |
| `bank_code` | string |  | 金融機関コード |
| `bank_name` | string |  | 金融機関名 |
| `branch_code` | string |  | 支店コード |
| `branch_name` | string |  | 支店名 |
| `remarks` | string |  | ご利用明細表示内容 |
| `subscription_id` | Subscription_properties-id |  | サブスクリプションID |
| `settlement_route` | DirectDebitSettlementRoute |  |  |

##### 銀行振込（バーチャル口座）

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `billing_amount` | integer(int64) |  | 振込依頼金額 |
| `billing_tax` | integer(int64) |  | 振込依頼金額（税送料） |
| `billing_total_amount` | integer(int64) |  | 振込依頼金額 合計 |
| `payment_term_day` | integer(int64) |  | 支払期限日数 |
| `payment_term` | string |  | 支払期限 |
| `payment_method_id` | PaymentMethod_properties-id |  |  |
| `va_branch_code` | string |  | 支店コード |
| `va_branch_name` | string |  | 支店名 |
| `va_account_number` | string |  | 口座番号 |
| `va_account_name` | string |  | 口座名義 |
| `virtual_account_id` | string |  | バーチャル口座ID |
| `account_assignment_date` | string |  | バーチャル口座 割当日時 |
| `transaction_date` | string |  | 取引日 |
| `value_date` | string |  | 起算日 |
| `remitter_account_name` | string |  | 振込依頼人 氏名 |
| `remitter_bank_name` | string |  | 振込依頼人 銀行名 |
| `remitter_branch_name` | string |  | 振込依頼人 支店名 |
| `overpayment_flag` | enum(0 | 1) |  | 多重支払フラグ |
| `cancel_overpayment_flag` | enum(0 | 1) |  | キャンセル後支払フラグ |
| `expire_overpayment_flag` | enum(0 | 1) |  | 期限切れ後支払フラグ |
| `use_exact_deposit_amount` | enum(true | false) |  | 入金可能額設定利用フラグ |
| `use_static_virtual_account` | enum(true | false) |  | 顧客固定バーチャル口座利用フラグ |
| `bulk_payment_id` | PaymentBulk_properties-id |  | 一括決済ID |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

